////////////////////////////////////////
// Programming project code
// UniBw M, 2022, 2023, 2024
// www.unibw.de/inf2
// (c) Mark Minas (mark.minas@unibw.de)
////////////////////////////////////////

package pp.battleship.game.client;

/**
 * Interface representing a connection to the server.
 * Extends ClientSender to allow sending messages to the server.
 */
public interface ServerConnection extends ClientSender {

    /**
     * Checks if the client is currently connected to the server.
     *
     * @return true if connected, false otherwise.
     */
    boolean isConnected();

    /**
     * Establishes a connection to the server.
     */
    void connect();

    /**
     * Disconnects from the server.
     */
    void disconnect();
}
